{
  config,
  pkgs,
  ...
}: {
  imports = [./i3.nix ./i3status-rust.nix ./dunst.nix ./rofi.nix ./xidlehook.nix];

  home.sessionVariables = {CM_LAUNCHER = "rofi";};

  services = {
    picom = {
      enable = true;
      vSync = true;
    };
    network-manager-applet.enable = true;
    pasystray.enable = true;
    gnome-keyring = {
      enable = true;
      components = ["pkcs11" "secrets" "ssh"];
    };
  };

  services.udiskie.enable = true;
  services.gammastep = {
    enable = true;
    tray = true;
    provider = "manual";
    latitude = 52.0;
    longitude = -1.0;
  };

  xsession = {enable = true;};
}
